Product comparison · 2 network switches

NETGEAR FS108-300PES network switch Unmanaged L2 Fast Ethernet (10/100) Blue vs Zyxel MGS3520-28F Managed L2 Black

Add a product
  • 17specifications compared
  • 12differ
  • 5identical
  • 40known for one product only

Key differences

  • Switch type
    • FS108-300PES network switch Unmanaged L2 Fast Ethernet (10/100) Blue:Unmanaged
    • MGS3520-28F Managed L2 Black:Managed
  • MAC address table
    • FS108-300PES network switch Unmanaged L2 Fast Ethernet (10/100) Blue:1024 entries
    • MGS3520-28F Managed L2 Black:16000 entries
  • Jumbo frames support
    • FS108-300PES network switch Unmanaged L2 Fast Ethernet (10/100) Blue:No
    • MGS3520-28F Managed L2 Black:Yes
  • Rack mounting
    • FS108-300PES network switch Unmanaged L2 Fast Ethernet (10/100) Blue:No
    • MGS3520-28F Managed L2 Black:Yes
  • Product colour
    • FS108-300PES network switch Unmanaged L2 Fast Ethernet (10/100) Blue:Blue
    • MGS3520-28F Managed L2 Black:Black
  • Operating temperature (T-T)
    • FS108-300PES network switch Unmanaged L2 Fast Ethernet (10/100) Blue:0 - 40 °C
    • MGS3520-28F Managed L2 Black:0 - 50 °C
  • Storage temperature (T-T)
    • FS108-300PES network switch Unmanaged L2 Fast Ethernet (10/100) Blue:-10 - 70 °C
    • MGS3520-28F Managed L2 Black:-40 - 70 °C
  • Width
    • FS108-300PES network switch Unmanaged L2 Fast Ethernet (10/100) Blue:158 mm
    • MGS3520-28F Managed L2 Black:440 mm

Side by side

Differences highlightedShow differences only (on)
Comparison of FS108-300PES, MGS3520-28F
57 specifications
Management features1 differ
Switch typeDiffersUnmanagedManaged
Quality of Service (QoS) supportKnown for oneNoUnknown — not stated by the source
Web-based managementKnown for oneUnknown — not stated by the sourceYes
MIB supportKnown for oneUnknown — not stated by the sourceRFC 1066, RFC 1213, 1157, RFC 1493,RFC 1643, RFC 1757, RFC 2011, 2012, 2013, RFC 2233, RFC 2358, RFC 2674, RFC 2819, 2925, RFC 3621, RFC 4022, RFC 4113, RFC 4292, RFC 4293
Ports & interfacesidentical
Basic switching RJ-45 Ethernet ports quantityKnown for one8Unknown — not stated by the source
Basic switching RJ-45 Ethernet ports typeKnown for oneFast Ethernet (10/100)Unknown — not stated by the source
Fast Ethernet (copper) ports quantityKnown for one8Unknown — not stated by the source
Installed SFP modules quantityKnown for one0Unknown — not stated by the source
Installed SFP+ modules quantityKnown for one0Unknown — not stated by the source
Combo SFP ports quantityKnown for oneUnknown — not stated by the source4
SFP module slots quantityKnown for oneUnknown — not stated by the source24
Network1 differ
Networking standardsDiffersIEEE 802.3, IEEE 802.3u, IEEE 802.3xIEEE 802.1D, IEEE 802.1Q, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.1x, IEEE 802.3, IEEE 802.3ab, IEEE 802.3ad, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x, IEEE 802.3z
Copper ethernet cabling technologyKnown for one100BASE-TX, 10BASE-TUnknown — not stated by the source
Full duplexKnown for oneYesUnknown — not stated by the source
Auto MDI/MDI-XKnown for oneYesUnknown — not stated by the source
Auto-sensingKnown for oneYesUnknown — not stated by the source
Broadcast storm controlKnown for oneUnknown — not stated by the sourceYes
Link aggregationKnown for oneUnknown — not stated by the sourceYes
Spanning tree protocolKnown for oneUnknown — not stated by the sourceYes
Virtual LAN featuresKnown for oneUnknown — not stated by the sourceStacked VLAN, Tagged VLAN
Data transmission2 differ
MAC address tableDiffers1024 entries16000 entries
Store-and-forwardKnown for oneYesUnknown — not stated by the source
Latency (10-100 Mbps)Known for one20 µsUnknown — not stated by the source
Jumbo frames supportDiffersNoYes
Switching capacityKnown for oneUnknown — not stated by the source56 Gbit/s
ThroughputKnown for oneUnknown — not stated by the source41.67 Mpps
Jumbo framesKnown for oneUnknown — not stated by the source9000
Design2 differ
Rack mountingDiffersNoYes
Product colourDiffersBlueBlack
Housing materialKnown for oneMetalUnknown — not stated by the source
LED indicatorsKnown for oneYesUnknown — not stated by the source
Performanceidentical
Buffer sizeKnown for one96 KBUnknown — not stated by the source
Compatible operating systemsKnown for oneWindows, Linux, Mac OSUnknown — not stated by the source
Mean time between failures (MTBF)Known for one4015496 hUnknown — not stated by the source
Poweridentical
AC input frequencyKnown for one50 - 60 HzUnknown — not stated by the source
Power consumption (max)Known for one1 WUnknown — not stated by the source
Operational conditions2 differ
Operating temperature (T-T)Differs0 - 40 °C0 - 50 °C
Storage temperature (T-T)Differs-10 - 70 °C-40 - 70 °C
Operating altitudeKnown for one0 - 3000 mUnknown — not stated by the source
Non-operating altitudeKnown for one0 - 3000 mUnknown — not stated by the source
Operating relative humidity (H-H)Known for oneUnknown — not stated by the source10 - 95%
Storage relative humidity (H-H)Known for oneUnknown — not stated by the source5 - 95%
Weight & dimensions4 differ
WidthDiffers158 mm440 mm
DepthDiffers102 mm270 mm
HeightDiffers27 mm44 mm
WeightDiffers390 g3.72 kg
Certificatesidentical
CertificationKnown for oneFCC Class BUnknown — not stated by the source
Logistics dataidentical
Harmonized System (HS) codeKnown for one85176990Unknown — not stated by the source
Securityidentical
IGMP snoopingKnown for oneUnknown — not stated by the sourceYes
BPDU filtering/protectionKnown for oneUnknown — not stated by the sourceYes
SSH/SSL supportKnown for oneUnknown — not stated by the sourceYes
Protocolsidentical
Management protocolsKnown for oneUnknown — not stated by the sourceSNMP v1, v2c, v3

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More network switch comparisons

All network switch comparisons